## org.apache.commons.collections.list
Class AbstractLinkedList.LinkedSubList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.apache.commons.collections.list.AbstractLinkedList.LinkedSubList

All Implemented Interfaces:
  Collection, List

Enclosing class:
  AbstractLinkedList

protected static class AbstractLinkedList.LinkedSubList
extends AbstractList

The sublist implementation for AbstractLinkedList.

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` `AbstractLinkedList.LinkedSubList(AbstractLinkedList parent, int fromIndex, int toIndex)`

Method Summary
`void` `add(int index, Object obj)`
`boolean` `addAll(Collection coll)`
`boolean` `addAll(int index, Collection coll)`
`protected void` `checkModCount()`
`void` `clear()`
`Object` `get(int index)`
`Iterator` `iterator()`
`ListIterator` `listIterator(int index)`
`protected void` `rangeCheck(int index, int beyond)`
`Object` `remove(int index)`
`Object` `set(int index, Object obj)`
`int` `size()`
`List` `subList(int fromIndexInclusive, int toIndexExclusive)`

Methods inherited from class java.util.AbstractList
`add, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange`

Methods inherited from class java.util.AbstractCollection
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### AbstractLinkedList.LinkedSubList

    protected AbstractLinkedList.LinkedSubList(AbstractLinkedList parent,
                                               int fromIndex,
                                               int toIndex)

Method Detail

### size

    public int size()

### get

    public Object get(int index)

### add

    public void add(int index,
                    Object obj)

### remove

    public Object remove(int index)

### addAll

    public boolean addAll(Collection coll)

### addAll

    public boolean addAll(int index,
                          Collection coll)

### set

    public Object set(int index,
                      Object obj)

### clear

    public void clear()

### iterator

    public Iterator iterator()

### listIterator

    public ListIterator listIterator(int index)

### subList

    public List subList(int fromIndexInclusive,
                        int toIndexExclusive)

### rangeCheck

    protected void rangeCheck(int index,
                              int beyond)

### checkModCount

    protected void checkModCount()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.